#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	logrotate
Version		:	3.20.1
Release		:	14.8.0.0%{?dist}
Summary		:	Rotates, compresses, removes and mails system log files
Group		:	System Environment/Base

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+
URL		:	https://github.com/logrotate/logrotate

Source0		:	%{name}-%{version}.tar.xz
Source1		:	%{name}-ok_addon.tar.gz

Requires	:	/usr/bin/logger
Requires	:	cronie
Requires	:	psmisc
#-----------------------------------------------------------------------------
%description
The logrotate utility is designed to simplify the administration of
log files on a system which generates a lot of log files. Logrotate
allows for the automatic rotation compression, removal and mailing
of log files. Logrotate can be set to handle a log file daily, weekly,
monthly or when the log file gets to a certain size.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, 0755)
%doc COPYING README.md
%config(noreplace) %{_sysconfdir}/%{name}.conf
%config(noreplace) %attr (0754,root,root) %{_sysconfdir}/cron.daily/%{name}.cron
%dir %{_sysconfdir}/%{name}.d
%{_sbindir}/%{name}
%{_mandir}/man5/*.5.gz
%{_mandir}/man8/*.8.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%{__tar} xf %{SOURCE1}

./autogen.sh

CFLAGS="-Wno-error=stringop-overflow"			\
./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install

%{__mkdir_p} %{buildroot}%{_sysconfdir}
%{__cp}							\
	%{name}-ok_addon/%{name}.conf			\
	%{buildroot}%{_sysconfdir}

%{__mkdir_p} %{buildroot}%{_sysconfdir}/%{name}.d

%{__mkdir_p} %{buildroot}%{_sysconfdir}/cron.daily
%{__cp}							\
	%{name}-ok_addon/cron				\
	%{buildroot}%{_sysconfdir}/cron.daily/%{name}.cron


#-----------------------------------------------------------------------------
%changelog
